> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Addresses

> Get list of addresses



## OpenAPI

````yaml GET /customers/{centsCustomerId}/addresses
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /customers/{centsCustomerId}/addresses:
    get:
      description: Get list of addresses
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - in: path
          name: centsCustomerId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  addresses:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: >-
                            Use this value for centsCustomerAddressId in API
                            request
                        address1:
                          type: string
                        address2:
                          type: string
                          description: Address details
                        city:
                          type: string
                          description: Address details
                        instructions:
                          type: string
                        googlePlacesId:
                          type: string
                          description: >-
                            It's used for API request to get available delivery
                            windows
                        countryCode:
                          type: string
                        postalCode:
                          type: string
                        lat:
                          type: number
                        lng:
                          type: number
                        leaveAtDoor:
                          type: boolean
                          description: Delivery instruction for the address
                        hasSubscriptions:
                          type: boolean
                          description: true when recurring orders use this address
                        hasServiceOrders:
                          type: boolean
                          description: >-
                            true when the address is used at least for one
                            active service order
        '400':
          description: Customer ID in not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example: Customer is required
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````